Bug 1117646 - No sub component listed when changing several bugs at once
No sub component listed when changing several bugs at once
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Matt Tyson
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-09 02:33 EDT by Shirley Zhou
Modified: 2015-03-04 19:53 EST (History)
6 users (show)

See Also:
Fixed In Version: 4.4.5023
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-10 21:06:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shirley Zhou 2014-07-09 02:33:31 EDT
Description of problem:
When try to change several bugs at once, I found the sub component is not listed the update bug list page. 

Version-Release number of selected component (if applicable):
version 4.4.4021

How reproducible:
100%

Steps to Reproduce:
1. Search a bug list (make sure at least one bug created on sub component )
2. Click on "Change several bugs at once"
3. Check some bugs, and then check the fields you can edit at the bottom of the page

Actual results:
No sub component item listed

Expected results:
Sub component should be listed

Additional info:
Comment 1 Jason McDonald 2014-07-09 02:46:58 EDT
Note that it only makes sense to set the smae Subcomponent for a set of bugs if the Product and Component are already the same for all of those bugs (or are being changed to be the same).
Comment 2 Matt Tyson 2014-07-17 21:14:45 EDT
This patch will allow the user to update sub components of multiple bugs when all the bugs in the search results are of the same product and component.
Comment 14 Shirley Zhou 2014-07-30 21:32:04 EDT
According to comment 13, move this bug to Verified.

Note You need to log in before you can comment on or make changes to this bug.